Page MenuHomeFreeBSD

www/chromium: update to 80.0.3987.132
ClosedPublic

Authored by cem on Mar 6 2020, 6:42 AM.

Details

Summary

PR: 244625

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

cem created this revision.Mar 6 2020, 6:42 AM
jrm added a subscriber: jrm.Mar 6 2020, 11:08 PM

I just did a poudriere testport and there is a plist issue: http://pkg.awarnach.mathstat.dal.ca/data/12amd64-default/2020-03-06_12h24m58s/logs/errors/chromium-80.0.3987.132.log

Do you mind if I update the diff here?

cem added a comment.Mar 6 2020, 11:23 PM
In D23984#527444, @jrm wrote:

Hm, I did a check-plist (non-poudriere). Let's see what your log shows. (That logfile is a massive 144MB, FWIW.) The entire relevant part seems to be these 265 bytes:

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: libdata/ldconfig/chromium
===> Error: Plist issues found.

So in my version of ports, www/chromium installs that file and check-plist warns if you *don't* include it. I wonder why it's different in your environment?

$ ls -l work/stage/usr/local/libdata/ldconfig/chromium
-rw-r--r-- 1 conrad wheel 26 Mar  5 21:42 work/stage/usr/local/libdata/ldconfig/chromium
# USE_LDCONFIG  - If set to "yes", this adds ${PREFIX}/lib to the list of
#                 directories to be searched for shared libraries.
#                 Otherwise, this is a list of directories to be added to that
#                 list. The directory names are written to
#                 ${LOCALBASE}/libdata/ldconfig/${PKGBASE} which is then
#                 used by the ldconfig startup script.

And the port sets USE_LDCONFIG=yes...

I'm happy to remove it if that's the correct thing to do, but I'd like to understand the discrepancy.

cem added a comment.Mar 6 2020, 11:33 PM

Hm, is LOCALBASE != PREFIX in your environment? Maybe the right plist entry would be explicit /usr/local/libdata/...?

jrm added a comment.Mar 6 2020, 11:39 PM

This is a vanilla 12.1 amd64 jail with default options, so AFAIK the same jail that the official packages will be build with. I just updated the i386 jail, so I'll test there as well. All variables are defaults, including LOCALBASE.

cem added a comment.Mar 6 2020, 11:58 PM
In D23984#527447, @jrm wrote:

This is a vanilla 12.1 amd64 jail with default options, so AFAIK the same jail that the official packages will be build with. I just updated the i386 jail, so I'll test there as well. All variables are defaults, including LOCALBASE.

I use and built on FreeBSD head (amd64), if that makes a difference.

cem updated this revision to Diff 69281.Mar 7 2020, 12:10 AM

Drop ldconfig line from pkg-plist, which seems to be the issue Joseph observes
in Poudriere.

cem added a reviewer: jrm.Mar 7 2020, 12:43 AM
jrm added a comment.Mar 7 2020, 10:52 AM

The build fails on 11.3 i386.

In file included from ../../base/profiler/stack_copier_suspend.cc:7:
In file included from ../../base/profiler/metadata_recorder.h:14:
In file included from ../../base/synchronization/lock.h:11:
../../base/synchronization/lock_impl.h:71:12: warning: releasing mutex 'native_handle_' that was not held [-Wthread-safety-analysis]
  int rv = pthread_mutex_unlock(&native_handle_);
           ^
../../base/profiler/stack_copier_suspend.cc:51:14: error: use of undeclared identifier 'RegisterContextStackPointer'
    bottom = RegisterContextStackPointer(thread_context);
             ^
1 warning and 1 error generated.

Here is the full build log: http://pkg.awarnach.mathstat.dal.ca/data/11i386-default/2020-03-06_23h58m22s/logs/errors/chromium-80.0.3987.132.log

rene accepted this revision.Mar 7 2020, 11:09 AM
This revision is now accepted and ready to land.Mar 7 2020, 11:09 AM
rene added a comment.Mar 7 2020, 11:58 AM
In D23984#527482, @jrm wrote:

The build fails on 11.3 i386.

In file included from ../../base/profiler/stack_copier_suspend.cc:7:
In file included from ../../base/profiler/metadata_recorder.h:14:
In file included from ../../base/synchronization/lock.h:11:
../../base/synchronization/lock_impl.h:71:12: warning: releasing mutex 'native_handle_' that was not held [-Wthread-safety-analysis]
  int rv = pthread_mutex_unlock(&native_handle_);
           ^
../../base/profiler/stack_copier_suspend.cc:51:14: error: use of undeclared identifier 'RegisterContextStackPointer'
    bottom = RegisterContextStackPointer(thread_context);
             ^
1 warning and 1 error generated.

Here is the full build log: http://pkg.awarnach.mathstat.dal.ca/data/11i386-default/2020-03-06_23h58m22s/logs/errors/chromium-80.0.3987.132.log

Hm, we could commit the patch and add a BROKEN_FreeBSD_11 marker for the time being?

rene added a comment.Mar 7 2020, 1:56 PM

Does this patch include r527876, or is that commit independent of this patch ?

cem added a comment.Mar 7 2020, 5:17 PM
In D23984#527506, @rene wrote:

Does this patch include r527876, or is that commit independent of this patch ?

No, the work was done prior to r527876.

The i386 thing (at least that specific issue) can be fixed, but I don't know what else lurks.

cem updated this revision to Diff 69291.Mar 7 2020, 5:35 PM
  • Rebase over r527876
  • Add x86 bits to failed section (unclear what else will fail)
  • Add preliminary (sketch, definitely broken) aarch64 support to same section. Someone more knowledgeable of aarch64 can fill in how to find the framepointer and programcounter.
This revision now requires review to proceed.Mar 7 2020, 5:35 PM
cem added inline comments.Mar 7 2020, 5:43 PM
www/chromium/files/patch-base_profiler_register__context.h
32–57 ↗(On Diff #69291)

I can confirm these new portions do not regress the amd64 build.

cem updated this revision to Diff 69292.Mar 7 2020, 5:57 PM
  • Implement RegisterContext{Stack,Frame,Instruction}Pointer for aarch64 FreeBSD
cem updated this revision to Diff 69293.Mar 7 2020, 6:25 PM

gp_lr -> gp_elr for arm64 PC

mikael added a subscriber: mikael.Mar 7 2020, 6:30 PM
jrm added a comment.Mar 8 2020, 2:29 AM

Your i386 fixes look good. http://pkg.awarnach.mathstat.dal.ca/data/12i386-default/2020-03-07_13h52m51s/logs/chromium-80.0.3987.132.log

I'll test with your latest patch. Hopefully it will go a bit quicker with the hot ccache cache.

cem added a comment.Mar 8 2020, 4:26 AM
In D23984#527634, @jrm wrote:

Your i386 fixes look good. http://pkg.awarnach.mathstat.dal.ca/data/12i386-default/2020-03-07_13h52m51s/logs/chromium-80.0.3987.132.log

I'll test with your latest patch. Hopefully it will go a bit quicker with the hot ccache cache.

Excellent. Thank you.

jrm accepted this revision.Mar 8 2020, 2:57 PM

poudriere testport looks good for 11.3/12.1 i386/amd64. Thanks!

This revision is now accepted and ready to land.Mar 8 2020, 2:57 PM
This revision was automatically updated to reflect the committed changes.